
QGIS Application - Bug report #16368

QGIS Server (much) slower rendering than Desktop single thread after specific commit of 

release_2.14

2017-03-20 06:32 AM - Tudor Bărăscu

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24278

Description

On the same machine, with the same settings, the rendering time of QGIS Server Master/QGIS 2.18.4 and 2.14 latest is much slower

then the commit:d708473d5d9ab8e0ad55a7113d7bf9d94a087b2f commit of branch 2.14 which is quite good as a reference (with no

known Server bugs).

I noticed this while testing for #15522 .

For my project (I can provide privately to a dev a smaller postgis dump + project where the performance issue can can be replicated) the

time to render a specific region is:

- around 1.3  secs for all Qgis Desktop versions (single thread) for the region of my test GetMap request

- around 1.6  secs for QGIS Server the above specific commit (a little slower than the Desktop)

- around 2.95 secs for latest 2.14 build from source 

- around 3.2  secs for latest 2.18 build from source

- around 2.85 secs for master single thread build from source

- around 2.7  secs for master double thread build from source

Each of the server version had an equivalent .qgs project version + no errors in the logs.

I have a hunch it's on account of my project using layer joins.

History

#1 - 2017-03-21 05:11 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.18

Performances degradations have also been reported for QGIS Desktop for specific prividers (like ms sql server) but also in general, see for example

#16239

#2 - 2017-03-23 02:04 AM - Saber Razmjooei

- Subject changed from QGIS Server (much) slower rendering then Desktop single thread after specific commit of release_2.14 to QGIS Server (much) 

slower rendering than Desktop single thread after specific commit of release_2.14

#3 - 2017-04-30 05:06 PM - Giovanni Manghi

- Regression? set to Yes

#4 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High
#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-02-01 09:52 AM - Tudor Bărăscu

- Status changed from Open to Closed

Not relevant anymore as QGIS 3 will soon be released and I think it may be too specific to my project to be investigated and fixed. QGIS 3 multithread

solves the performance problems.

#7 - 2018-02-22 11:34 AM - Giovanni Manghi

- Resolution set to wontfix

- Description updated
